Email
Marketing
SMS
Sign
- List signature requests GET
- Create a signature request POST
- Retrieve a signature request GET
- Delete a signature request DELETE
- Send a draft signature request POST
- Cancel a signature request POST
- List a signature request's audit trail GET
- Remind signers POST
- Download the signed document GET
- Create a signing session POST
Hooks
Risk
Platform
List signature requests
GET
/v1/sign/requests
Signature requests of the API key's environment, newest first. Pass the last id as after to get the next page while has_more is true.
bearerAuthheader
AuthorizationBearer <token>A secret API key from the dashboard: coss_live_… for production environments, coss_test_… for sandbox environments.
status?stringOnly requests in these statuses, comma-separated: sent,draft.
limit?integer1-100, default 20.
Range
1 <= value <= 100after?stringCursor: the id of the last item of the previous page.
Length
length <= 64Coss-Version?"2026-10-10"The API version (a date) to use for this request. Defaults to your organization's version, pinned to the latest one when it first used the API and upgraded from the dashboard. The SDK always sends the version it was built for.
Value in
"2026-10-10"A page of signature requests.
application/json- response
- response
- …
object*"list"Value in
"list"data*array<>has_more*booleanimport { Coss } from "coss";const coss = new Coss({ apiKey: process.env.COSS_API_KEY, baseUrl: "https://api.coss.com",});const { data, error } = await coss.sign.requests.list();{ "object": "list", "data": [], "has_more": false}